import { InjectionToken } from '@angular/core';
import { NgModel } from '@angular/forms';
/**
 * Provider for the default getValidationErrorMessage.
 */
export declare const NGX_GET_VALIDATION_ERROR_MESSAGE: InjectionToken<(model: NgModel) => string>;
/**
 * Generates a default error message for most validation errors.
 * @param model - The ngModel to get the error from.
 * @returns The Validation Error Message to display.
 */
export declare function defaultGetValidationErrorMessage(model: NgModel): string;
