import { Component, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { SetupTwoFactorDialogConfig } from './setup-two-factor-dialog.config';
import { BaseAuthData } from '../../models/base-auth-data.model';
import { BaseRole } from '../../models/base-role.model';
import { BaseToken } from '../../models/base-token.model';
import { JwtAuthService } from '../../services/jwt-auth.service';
import * as i0 from "@angular/core";
/**
 * The dialog to setup two factor authentication.
 */
export declare class NgxMatAuthSetupTwoFactorDialogComponent<AuthDataType extends BaseAuthData<TokenType, RoleValue, Role>, TokenType extends BaseToken, RoleValue extends string, Role extends BaseRole<RoleValue>, AuthServiceType extends JwtAuthService<AuthDataType, RoleValue, Role, TokenType>> implements OnInit {
    protected readonly authService: AuthServiceType;
    protected readonly dialogRef: MatDialogRef<Component>;
    protected readonly inputData?: Partial<SetupTwoFactorDialogConfig> | undefined;
    /**
     * The secret for generating totp's.
     */
    secret?: string;
    /**
     * Configuration data for the dialog.
     */
    data: SetupTwoFactorDialogConfig;
    /**
     * The verification code model used in forms.
     */
    verificationCode: string;
    constructor(authService: AuthServiceType, dialogRef: MatDialogRef<Component>, inputData?: Partial<SetupTwoFactorDialogConfig> | undefined);
    ngOnInit(): void;
    private getSecretFromCode;
    /**
     * Confirms setting upt 2fa and then closes the dialog with true.
     */
    confirm(): Promise<void>;
    /**
     * Closes the dialog with false.
     */
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatAuthSetupTwoFactorDialogComponent<any, any, any, any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatAuthSetupTwoFactorDialogComponent<any, any, any, any, any>, "ngx-mat-auth-setup-two-factor-dialog", never, {}, {}, never, never, true, never>;
}
