import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { TwoFactorDialogConfig } from './two-factor.dialog.config';
import * as i0 from "@angular/core";
/**
 * A dialog to input a two factor code.
 */
export declare class NgxMatAuthTwoFactorDialogComponent implements OnInit {
    protected readonly dialogRef: MatDialogRef<NgxMatAuthTwoFactorDialogComponent>;
    protected readonly inputData?: Partial<TwoFactorDialogConfig> | undefined;
    /**
     * The code value. Gets updated as the user types.
     */
    code: string;
    /**
     * The Configuration for title, labels etc.
     */
    data: TwoFactorDialogConfig;
    constructor(dialogRef: MatDialogRef<NgxMatAuthTwoFactorDialogComponent>, inputData?: Partial<TwoFactorDialogConfig> | undefined);
    ngOnInit(): void;
    /**
     * Closes the dialog with the input code.
     */
    confirm(): void;
    /**
     * Closes the dialog.
     */
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatAuthTwoFactorDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxMatAuthTwoFactorDialogComponent, "ngx-mat-auth-two-factor-dialog", never, {}, {}, never, never, true, never>;
}
