import { CanActivateFn } from '@angular/router';
import { BooleanFunction } from './boolean-function.type';
import { JwtLoggedInGuardConfig } from './jwt-logged-in.guard';
/**
 * Configuration for the JwtBelongsToGuard.
 */
export interface JwtBelongsToGuardConfig extends JwtLoggedInGuardConfig {
    /**
     * Gets all allowed roles for the provided route.
     * @param route - The route that the user tries to navigate to.
     * @param state - State data of the route.
     */
    getBelongsToForRoute: BooleanFunction;
}
/**
 * Checks if the currently logged in user has the role required for a specific route.
 */
export declare const JwtBelongsToGuard: CanActivateFn;
